Bug 1275019 - Eclipse's "Check for updates" and "Install new software" don't work
Eclipse's "Check for updates" and "Install new software" don't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 20:28 EDT by Matthew Cline
Modified: 2015-11-29 05:54 EST (History)
8 users (show)

See Also:
Fixed In Version: eclipse-4.5.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-29 05:54:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Cline 2015-10-24 20:28:49 EDT
After installing the package "eclipse-platform" (and all dependencies) via dnf, I could launch eclipse, but trying to use either "Check for updates" and "Install new software" (under the Help menu) would give me a NullPointerException.  Running "eclipse -debug -consolelog" got me this exception:

!ENTRY org.eclipse.core.jobs 4 2 2015-10-24 16:34:01.158
!MESSAGE An internal error occurred during: "Contacting Software Sites".
!STACK 0
java.lang.NullPointerException
        at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadIndexFile(AbstractRepositoryManager.java:735)
        at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:657)
        at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)
        at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)
        at org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob.doLoad(LoadMetadataRepositoryJob.java:117)
        at org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob.runModal(LoadMetadataRepositoryJob.java:102)
        at org.eclipse.equinox.internal.p2.ui.sdk.PreloadingRepositoryHandler$2.runModal(PreloadingRepositoryHandler.java:83)
        at org.eclipse.equinox.p2.operations.ProvisioningJob.run(ProvisioningJob.java:177)
        at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

I tried installing more Eclipse packages, including "eclipse-p2-discovery", but nothing helped.  I eventually had to remove all of the Eclipse RPM packages and install Eclipse using the tar file from the Eclipse website.
Comment 1 Roland Grunberg 2015-10-28 10:35:41 EDT
Do you have a list of all the eclipse rpms that were on your system prior to removing them ? If you aren't able to reproduce that installation, perhaps you could go do 'dnf history list', and 'dnf history info [NUMBER]' to list the eclipse packages that were there initially.
Comment 2 Matthew Cline 2015-10-28 12:06:35 EDT
Eclipse RPMs, from "dnf history":

eclipse-cdt-1:8.6.0-3.fc22.x86_64@updates        
eclipse-cdt-parsers-1:8.6.0-3.fc22.x86_64@updates 
eclipse-ecf-core-3.10.1-1.fc22.x86_64@updates 
eclipse-egit-4.0.1-1.fc22.noarch@updates         
eclipse-emf-core-1:2.10.2-1.fc22.x86_64@fedora 
eclipse-equinox-osgi-1:4.4.2-5.fc22.x86_64@fedora 
eclipse-filesystem-1.0-5.fc22.x86_64@updates 
eclipse-jdt-1:4.4.2-5.fc22.x86_64@fedora         
eclipse-jgit-4.1.0-4.fc22.noarch@updates         
eclipse-linuxtools-3.2.0-1.fc22.noarch@fedora    
eclipse-mpc-1.3.2-1.fc22.noarch@fedora           
eclipse-mylyn-3.16.0-1.fc22.noarch@updates       
eclipse-mylyn-docs-wikitext-3.16.0-1.fc22.noarch@updates 
eclipse-p2-discovery-1:4.4.2-5.fc22.x86_64@fedora 
eclipse-pde-1:4.4.2-5.fc22.x86_64@fedora         
eclipse-platform-1:4.4.2-5.fc22.x86_64@fedora 
eclipse-ptp-8.1.1-2.fc22.x86_64@fedora           
eclipse-ptp-rdt-8.1.1-2.fc22.noarch@fedora       
eclipse-ptp-rdt-xlc-8.1.1-2.fc22.noarch@fedora   
eclipse-remote-1.1.1-1.fc22.noarch@fedora        
eclipse-rse-3.7.0-1.fc22.noarch@updates          
eclipse-swt-1:4.4.2-5.fc22.x86_64@fedora
Comment 3 Mat Booth 2015-11-28 06:49:55 EST
Eclipse on F22 has been updated to Mars.1 (4.5.1)

"Check for updates" seems to work fine for me with Eclipse 4.5.1.

Do you still encounter the problem with the latest updates installed?
Comment 4 Matthew Cline 2015-11-28 15:08:55 EST
It works now, thanks.
Comment 5 Mat Booth 2015-11-29 05:54:03 EST
Super, thanks for re-testing.

Note You need to log in before you can comment on or make changes to this bug.